VGCHANGE(8)

NAME
vgchange - change attributes of a volume group

SYNOPSIS
vgchange [--addtag Tag] [--alloc AllocationPolicy] [-A|--autobackup {y|n}] [-a|--available [e|l] {y|n}] [-d|--debug] [--deltag Tag] [-h|--help] [--ignorelockingfailure] [-l|--logicalvolume MaxLogicalVolumes] [-P|--partial] [-t|--test] [-v|--verbose] [--version] [-x|--resizeable {y|n}] [VolumeGroupName...]

DESCRIPTION
vgchange allows you to change the attributes of one or more volume groups. Its main purpose is to activate and deactivate VolumeGroupName, or all volume groups if none is specified. Only active volume groups are subject to changes and allow access to their logical volumes. [Not yet implemented: During volume group activation, if vgchange recognizes snapshot logical volumes which were dropped because they ran out of space, it displays a message informing the administrator that such snapshots should be removed (see lvremove(8)). ]

OPTIONS
See lvm for common options.

-A, --autobackup{y|n}
    Controls automatic backup of metadata after the change. See vgcfgbackup (8). Default is yes.

-a, --available[e|l]{y|n}
    Controls the availability of the logical volumes in the volume group for input/output. In other words, makes the logical volumes known/unknown to the kernel.

    If clustered locking is enabled, add 'e' to activate/deactivate exclusively on one node or 'l' to activate/deactivate only on the local node. Logical volumes with single-host snapshots are always activated exclusively because they can only be used on one node at once.

-l, --logicalvolume MaxLogicalVolumes
    Changes the maximum logical volume number of an existing inactive volume group.

-x, --resizeable{y|n}
    Enables or disables the extension/reduction of this volume group with/by physical volumes.

EXAMPLES
To activate all known volume groups in the system:

	vgchange -a y

To change the maximum number of logical volumes of inactive volume group vg00 to 128.

	vgchange -l 128 /dev/vg00

SEE ALSO
lvchange(8), lvm(8), vgcreate(8)